use strict;
use Fcntl;
use Sys::Hostname;
use Mail::SpamAssassin;

my $TESTFILE = 'sample-nonspam.txt';

our $Assassin = Mail::SpamAssassin->new({
	'dont_copy_prefs' => 1,
	'debug' => 0,
	'local_tests_only' => 0});

# Set up auto-whitelisting.
require Mail::SpamAssassin::DBBasedAddrList;
our $AddrListFactory = Mail::SpamAssassin::DBBasedAddrList->new();
$Assassin->set_persistent_address_list_factory($AddrListFactory);

# Self-Test
if (open(SAMPLE, $TESTFILE)) {
	print STDERR "Running self-test...";
	my $msg = join("\n", <SAMPLE>);
	my $parsed = $Assassin->parse($msg);
	my $status = $Assassin->check($parsed);
	close(SAMPLE);

	if ($status->is_spam()) { die 'Self-test failed'; }

	undef($status);
	undef($parsed);
	undef($msg);
	print STDERR "OK\n";
} else {
	print STDERR "$TESTFILE: $!, skipping self-test\n";
}

